package seabedexplorer.submersible.equipment.topographicalmapper;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.datacollector.topographicalmapper.DCSonar;

/**
 * Sonar
 * 
 * @author JLScott1999
 */
public class Sonar extends TopographicalMapper
{
    
    public Sonar(Submersible drone)
    {
        super(drone, new DCSonar());
    }
    
    @Override
    public String toString()
    {
        return super.toString() + "Sonar";
    }

    @Override
    public boolean update(String cmd) {
        boolean result;
        if(cmd.equalsIgnoreCase("sonar")){
            this.collectData();
            result = true;
        } else {
            result = super.update(cmd);
        }
        return result;
    }
    
}
