package seabedexplorer.util.cmd;

import seabedexplorer.vessel.Vessel;

/**
 * CMDInterpreter
 * 
 * @author JLScott1999
 */
public class CMDInterpreter
{
    
    private Vessel vessel;
    
    public CMDInterpreter(Vessel v)
    {
        vessel = v;
    }
    
    public void readCMD(String cmd)
    {
        if (cmd != null && cmd.length() > 0)
        {
            String[] cmdArray = cmd.split(" ");
            switch (cmdArray[0].toLowerCase())
            {
                case "collectdata":
                {
                    vessel.updateObservers(cmdArray[1]);
                    break;
                }
            }
        }
    }
    
}
