
package seabedexplorer.util.movement;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.locationtracking.Location;

public class MovementEmulation {
    
    boolean isMoving;
    Submersible subContext;
    int speedLocal = 100;
    
    Thread moveThread;
    
    public MovementEmulation(Submersible sub, Location destinationLocLocal)
    {
        subContext = sub;
        moveThread = new Thread(new ThreadMovement(sub, destinationLocLocal, speedLocal));
    }

    public void move()
    {
        moveThread.start();
    }
    
    public void stopMove()
    {
        moveThread.stop();
    }
    
    public Thread getThread()
    {
        return moveThread;
    }
    
}
