package observer_pattern_tests.submersible.equipment;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.CoreMatchers.not;
import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.PhotoSensor;

/**
 *
 * @author Dylan Currey
 */
public class PhotoSensorTest {
    
    public PhotoSensorTest() {
    }

    /**
     * Test of update method, of class PhotoSensor.
     */
    @Test
    public void testUpdate() {
        System.out.println("update");
        PhotoSensor s = new PhotoSensor(new ROV());
        String before = s.toString();
        s.update("photosensor");
        String after = s.toString();
        assertThat(after, is(not(equalTo(before))));
    }
    
}
