package observer_pattern_tests.submersible.equipment.materialsampler;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.CoreMatchers.not;
import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.materialsampler.HotFluidSampler;

/**
 *
 * @author Dylan Currey
 */
public class HotFluidSamplerTest {
    
    public HotFluidSamplerTest() {
    }

    /**
     * Test of update method, of class HotFluidSampler.
     */
    @Test
    public void testUpdate() {
        System.out.println("update");
        HotFluidSampler s = new HotFluidSampler(new ROV(),1);
        String before = s.toString();
        s.update("fluid");
        String after = s.toString();
        assertThat(after, is(not(equalTo(before))));
    }
    
}
