package observer_pattern_tests.submersible.equipment.materialsampler;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.CoreMatchers.not;
import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.materialsampler.RockCoringDrill;

/**
 *
 * @author Dylan Currey
 */
public class RockCoringDrillTest {
    
    public RockCoringDrillTest() {
    }

    /**
     * Test of update method, of class RockCoringDrill.
     */
    @Test
    public void testUpdate() {
        System.out.println("update");
        RockCoringDrill s = new RockCoringDrill(new ROV(),1);
        String before = s.toString();
        s.update("drill");
        String after = s.toString();
        assertThat(after, is(not(equalTo(before))));
    }
    
}
