package observer_pattern_tests.submersible.equipment.waterreadings;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.CoreMatchers.not;
import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.waterreadings.IndexOfRefraction;

/**
 *
 * @author Dylan Currey
 */
public class IndexOfRefractionTest {
    
    public IndexOfRefractionTest() {
    }

    /**
     * Test of update method, of class IndexOfRefraction.
     */
    @Test
    public void testUpdate() {
        System.out.println("update");
        IndexOfRefraction s = new IndexOfRefraction(new ROV(),1);
        String before = s.toString();
        s.update("refraction");
        String after = s.toString();
        assertThat(after, is(not(equalTo(before))));
    }
    
}
