package observer_pattern_tests.submersible.equipment.waterreadings;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.CoreMatchers.not;
import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.waterreadings.Salinity;

/**
 *
 * @author Dylan Currey
 */
public class SalinityTest {
    
    public SalinityTest() {
    }
    
    /**
     * Test of update method, of class Salinity.
     */
    @Test
    public void testUpdate() {
        System.out.println("update");
        Salinity s = new Salinity(new ROV());
        String before = s.toString();
        s.update("salinity");
        String after = s.toString();
        assertThat(after, is(not(equalTo(before))));
    }
    
}
