/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package strategy_pattern_tests;

import static org.junit.Assert.*;
import org.junit.Test;
import seabedexplorer.data.Data;
import seabedexplorer.data.PhotoSensorReading;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.PhotoSensor;

/**
 *
 * @author Super
 */
public class PhotosensorTest {
    
    @Test
    public void validPhotosensorTest() {
        ROV submersible = new ROV();
        
        PhotoSensor equipment = new PhotoSensor(submersible);
        
        for (int i = 0; i < 100; i++)
            equipment.collectData();
        
        Data[] data = equipment.getData().toArray(new Data[100]);
        
        for (int i = 0; i < 100; i++) {
            PhotoSensorReading current = (PhotoSensorReading) data[i];
            System.out.println(current.getReading());
            assertTrue(current.getReading() >= 10 && current.getReading() <= 1000000);
        }
    }
}
