package seabedexplorer.observer;


/**
 * An Observer interface created to facilitate the implementation of the Observer design pattern between Vessels and Submersibles.
 * 
 * @author Dylan Currey
 * @since 01/11/18
 */
public interface Observer {
    
    /**
     * Updates the Observer with the specified command
     * @param cmd the passed command
     */
    public boolean update(String cmd);
    
}
