package seabedexplorer.submersible.equipment;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.datacollector.DCPhotoSensor;

/**
 *
 * @author JLScott1999
 */
public class PhotoSensor extends Equipment
{
    
    public PhotoSensor(Submersible drone)
    {
        super(drone, new DCPhotoSensor());
    }
    
    @Override
    public String toString()
    {
        return super.toString() + "Photo Sensor";
    }

    @Override
    public boolean update(String cmd) {
        boolean result;
        if(cmd.equalsIgnoreCase("photosensor")){
            this.collectData();
            result = true;
        } else {
            result = super.update(cmd);
        }
        return result;
    }
    
}
