package seabedexplorer.submersible.equipment.topographicalmapper;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.datacollector.topographicalmapper.DCLaser;

/**
 * Laser
 * 
 * @author JLScott1999
 */
public class Laser extends TopographicalMapper
{
    
    double distance;
    
    public Laser(Submersible drone, double distanceIn)
    {
        super(drone, new DCLaser(distanceIn));
        
        distance = distanceIn;
    }
    
    @Override
    public String toString()
    {
        return super.toString() + "Laser";
    }

    @Override
    public boolean update(String cmd) {
        boolean result;
        if(cmd.equalsIgnoreCase("laser")){
            this.collectData();
            result = true;
        } else {
            result = super.update(cmd);
        }
        return result;
    }
    
}
