package seabedexplorer.submersible.equipment.waterreadings;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.datacollector.waterreadings.DCPH;

/**
 * PH
 * 
 * @author JLScott1999
 */
public class PH extends WaterReadings
{
    
    public PH(Submersible drone)
    {
        super(drone, new DCPH());
    }
    
    @Override
    public String toString()
    {
        return super.toString() + "pH Reader";
    }

    @Override
    public boolean update(String cmd) {
        boolean result;
        if(cmd.equalsIgnoreCase("ph")){
            this.collectData();
            result = true;
        } else {
            result = super.update(cmd);
        }
        return result;
    }
    
}
