package seabedexplorer.submersible.equipment.waterreadings;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.datacollector.waterreadings.DCSalinity;

/**
 * Salinity
 * 
 * @author JLScott1999
 */
public class Salinity extends WaterReadings
{
    
    public Salinity(Submersible drone)
    {
        super(drone, new DCSalinity());
    }
    
    @Override
    public String toString()
    {
        return super.toString() + "Salinity Reader";
    }

    @Override
    public boolean update(String cmd) {
        boolean result;
        if(cmd.equalsIgnoreCase("salinity")){
            this.collectData();
            result = true;
        } else {
            result = super.update(cmd);
        }
        return result;
    }
    
}
