package observer_pattern_tests.submersible.equipment.topographicalmapper;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.CoreMatchers.not;
import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.topographicalmapper.Sonar;

/**
 *
 * @author Dylan Currey
 */
public class SonarTest {
    
    public SonarTest() {
    }

    /**
     * Test of update method, of class Sonar.
     */
    @Test
    public void testUpdate() {
        System.out.println("update");
        Sonar s = new Sonar(new ROV());
        String before = s.toString();
        s.update("sonar");
        String after = s.toString();
        assertThat(after, is(not(equalTo(before))));
    }
    
}
