package observer_pattern_tests.submersible.equipment.waterreadings;

import static org.hamcrest.CoreMatchers.*;
import static org.junit.Assert.*;
import org.junit.Test;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.waterreadings.PH;

/**
 *
 * @author Dylan Currey
 */
public class PHTest {
    
    public PHTest() {
    }

    /**
     * Test of update method, of class PH.
     */
    @Test
    public void testUpdate() {
        System.out.println("update");
        PH s = new PH(new ROV());
        String before = s.toString();
        s.update("PH");
        String after = s.toString();
        assertThat(after, is(not(equalTo(before))));
    }
    
}
